# Class AbstractAccessLogValve.LocalServerNameElement

java.lang.Object
org.apache.catalina.valves.AbstractAccessLogValve.LocalServerNameElement

All Implemented Interfaces:
  `AbstractAccessLogValve.AccessLogElement`

Enclosing class:
  `AbstractAccessLogValve`

protected class AbstractAccessLogValve.LocalServerNameElement extends Object implements AbstractAccessLogValve.AccessLogElement
Write local server name - %v.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)`
  Adds the local server name element to the buffer.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### addElement

    public void addElement(CharArrayWriter buf, Date date, Request request, Response response, long time)
    Adds the local server name element to the buffer.
    Specified by:
      `addElement` in interface `AbstractAccessLogValve.AccessLogElement`
    Parameters:
      `buf` - The buffer to which the log element should be added
      `request` - The request that triggered this access log entry
      `response` - The response to the request that triggered this access log entry
      `time` - The time taken in nanoseconds to process the request